image: docker:latest

stages:
  - build

services:
  - docker:dind

before_script:
  - docker info

build:
  stage: build
  tags:
    - docker
  script:
  - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN $CI_REGISTRY
  - docker build -t $CI_REGISTRY_IMAGE:latest .
  - docker push $CI_REGISTRY_IMAGE:latest
  only:
    - master

